oRTP 0.25.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_OrtpNetworkSimulatorParams Struct Reference

`#include <rtpsession.h>`

## Data Fields
int | enabled
float | max_bandwidth
int | max_buffer_size
float | loss_rate
uint32_t | latency
float | consecutive_loss_probability
float | jitter_burst_density
float | jitter_strength
OrtpNetworkSimulatorMode | mode

## Detailed Description

Structure describing the network simulator parameters

## Field Documentation

float _OrtpNetworkSimulatorParams::consecutive_loss_probability

a probablity of having a subsequent loss after a loss occured, in a 0-1 range. Useful to simulate burst of lost packets

int _OrtpNetworkSimulatorParams::enabled

Whether simulation is enabled or off.

float _OrtpNetworkSimulatorParams::jitter_burst_density

density of gap/bursts events. A value of 1 means one gap/burst per second approximately

float _OrtpNetworkSimulatorParams::jitter_strength

percentage of max_bandwidth artifically consumed during bursts events

uint32_t _OrtpNetworkSimulatorParams::latency

Packet transmission delay, in ms

float _OrtpNetworkSimulatorParams::loss_rate

Percentage of lost packets

float _OrtpNetworkSimulatorParams::max_bandwidth

IP bandwidth, in bit/s

int _OrtpNetworkSimulatorParams::max_buffer_size

Max number of bit buffered before being discarded

OrtpNetworkSimulatorMode _OrtpNetworkSimulatorParams::mode

whether simulation is applied to inboud or outbound stream.

The documentation for this struct was generated from the following file:

- include/ortp/rtpsession.h